<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Name: Hearing Plan of Care CDA document
Description: A CDA Release 2 document, that contains Hearing Plan of Care
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000">
   <title>Hearing Plan of Care CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument
Item: (HearingPlanofCareCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument
Item: (HearingPlanofCareCDAdocument)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument"
         id="tmp-r-c4809c55-63e9-4a96-8169-494b15b331e4">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(cda:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(HearingPlanofCareCDAdocument): element cda:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1']/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1'])&lt;=1">(HearingPlanofCareCDAdocument): element cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:id)&gt;=1 and not(cda:id/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:id)&lt;=1">(HearingPlanofCareCDAdocument): element cda:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:code)&lt;=1">(HearingPlanofCareCDAdocument): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:title)&lt;=1">(HearingPlanofCareCDAdocument): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:effectiveTime)&gt;=1 and not(cda:effectiveTime/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(HearingPlanofCareCDAdocument): element cda:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:confidentialityCode)&gt;=1 and not(cda:confidentialityCode/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:confidentialityCode)&lt;=1">(HearingPlanofCareCDAdocument): element cda:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:author)&gt;=1 and not(cda:author/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:custodian)&gt;=1 and not(cda:custodian/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:custodian)&lt;=1">(HearingPlanofCareCDAdocument): element cda:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-64a26a87-fa76-4b8c-9653-5372eb33d0a9">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.1-2014-02-04T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.1-2014-02-04T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1']
Item: (HearingPlanofCareCDAdocument)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:templateId[@root='2.16.840.1.113883.3.1937.99.61.8.10.1']"
         id="tmp-r-79719757-550b-44ba-b7c2-11ca43044aab">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HearingPlanofCareCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.1'">(HearingPlanofCareCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.61.8.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:id
Item: (CDAid)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:id"
         id="tmp-r-eb22f8e2-f9ef-48eb-b884-8dc44d3361bd">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.2-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:code
Item: (HearingPlanofCareCDAdocument)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:code"
         id="tmp-r-4f80ec6d-548b-4e29-a645-73d006cf430e">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HearingPlanofCareCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="@nullFlavor or (@code='111111-6' and @codeSystem='2.16.840.1.113883.6.1')">(HearingPlanofCareCDAdocument): The element value SHALL be code '111111-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:title
Item: (CDAtitle)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:title"
         id="tmp-r-bf6256c8-ee95-4a5e-a23d-38027e877ccd">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.4
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:effectiveTime"
         id="tmp-r-471e766c-6488-4029-83b0-85463a3e4eb9">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.4-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.5
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:confidentialityCode
Item: (CDAconfidentialityCode)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:confidentialityCode"
         id="tmp-r-e77912d8-0660-474e-b235-600bd087e360">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.5-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.5-2014-02-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc--DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc--DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.5-2014-02-04T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDAconfidentialityCode): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget"
         id="tmp-r-3f41354e-a175-47a3-83f1-4336e4ea91ae">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:patientRole)&gt;=1 ">(CDArecordTarget): element cda:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:patientRole)&lt;=1">(CDArecordTarget): element cda:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole"
         id="tmp-r-6f4adfb4-343b-481b-bef3-9e6617152158">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:id)&gt;=1 ">(CDArecordTarget): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:id)&lt;=1">(CDArecordTarget): element cda:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:patient)&gt;=1 ">(CDArecordTarget): element cda:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:patient)&lt;=1">(CDArecordTarget): element cda:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.4
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id
Item: (NationalPatientIdentifier)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id"
         id="tmp-r-c668529d-c807-42ee-8059-63f13da43ede">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.4-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient"
         id="tmp-r-5f35de4e-c6e4-41ee-9f09-848525ff1d81">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:name)&gt;=1 ">(CDArecordTarget): element cda:name is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:administrativeGenderCode)&gt;=1 ">(CDArecordTarget): element cda:administrativeGenderCode is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:administrativeGenderCode)&lt;=1">(CDArecordTarget): element cda:administrativeGenderCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:birthTime)&gt;=1 ">(CDArecordTarget): element cda:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="count(cda:birthTime)&lt;=1">(CDArecordTarget): element cda:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:name
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:name"
         id="tmp-r-d233f4f0-5a27-44be-b847-5ed822a00ef9">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:administrativeGenderCode
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:administrativeGenderCode"
         id="tmp-r-8c82c16e-d93d-4744-b158-0aae5c9ddbed">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc--DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc--DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime
Item: (CDArecordTarget)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime"
         id="tmp-r-416eb512-f491-4d79-b3c4-abf05bb05931">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.1-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author"
         id="tmp-r-e1cf78be-0a30-40b9-8ac8-35a292470ae5">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:time)&gt;=1 and not(cda:time/@nullFlavor)">(CDAauthor): element cda:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:time)&lt;=1">(CDAauthor): element cda:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:assignedAuthor)&gt;=1 and not(cda:assignedAuthor/@nullFlavor)">(CDAauthor): element cda:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:assignedAuthor)&lt;=1">(CDAauthor): element cda:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:time
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:time"
         id="tmp-r-d2df0f7e-eca5-46fd-b523-1e820db45a78">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor"
         id="tmp-r-74520e9b-5df4-40d3-b515-59cad8d6c436">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:id)&gt;=1 ">(CDAauthor): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:id)&lt;=1">(CDAauthor): element cda:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:assignedPerson)&lt;=1">(CDAauthor): element cda:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:representedOrganization)&lt;=1">(CDAauthor): element cda:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id"
         id="tmp-r-e28288a9-2b35-4e30-ba31-191dd72341e2">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson"
         id="tmp-r-fb84eade-21c2-4ddb-be8d-643ba6c1b87f">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:name)&gt;=1 and not(cda:name/@nullFlavor)">(CDAauthor): element cda:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:name)&lt;=1">(CDAauthor): element cda:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name
Item: (CDAPersonElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name"
         id="tmp-r-48a253c3-8525-494e-905c-2fdcf95d0ccf">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.2
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization
Item: (CDAauthor)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization"
         id="tmp-r-29e4fcee-53d1-4397-acce-94b200e43399">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:name)&gt;=1 and not(cda:name/@nullFlavor)">(CDAauthor): element cda:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:name)&lt;=1">(CDAauthor): element cda:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.2-2014-02-04T000000.html"
              test="count(cda:addr)&lt;=1">(CDAauthor): element cda:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:id
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:id"
         id="tmp-r-3ab212a9-f4f1-4115-b315-79925928718d">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:name
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:name"
         id="tmp-r-17f808fd-4481-4a6d-b55a-cc456d14c09b">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:telecom"
         id="tmp-r-ae210186-282b-4896-963c-863549b71bd9">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:addr
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:addr"
         id="tmp-r-33260096-9543-4730-ac2b-3a038a8b2c62">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian
Item: (CDAcustodian)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian"
         id="tmp-r-acd42007-bc91-49b8-ba3e-83220c2b3ea3">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:assignedCustodian)&gt;=1 and not(cda:assignedCustodian/@nullFlavor)">(CDAcustodian): element cda:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:assignedCustodian)&lt;=1">(CDAcustodian): element cda:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian"
         id="tmp-r-d43929d1-971f-4ba9-b87c-1571558fe987">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:representedCustodianOrganization)&lt;=1">(CDAcustodian): element cda:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.2.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization"
         id="tmp-r-f93534e0-1ab6-4db0-8614-7eb20324a98c">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:name)&gt;=1 and not(cda:name/@nullFlavor)">(CDAcustodian): element cda:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:name)&lt;=1">(CDAcustodian): element cda:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.2.3-2014-02-04T000000.html"
              test="count(cda:addr)&lt;=1">(CDAcustodian): element cda:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:id
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:id"
         id="tmp-r-c3d85974-4293-49dd-b6ac-5f0e18c7ea3f">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:name
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:name"
         id="tmp-r-49f1ff7e-eeba-4978-8f7e-00ab554ffa62">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:telecom"
         id="tmp-r-82bc8681-5993-4255-8a2c-f79419753fe2">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.9.3
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:addr
Item: (CDAOrganizationElements)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/cda:addr"
         id="tmp-r-61d7fb65-6b3d-4305-b3e2-841dc8343033">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.9.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:component"
         id="tmp-r-bd539dd6-a1ef-49a0-b64f-5c9afbe82281">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(HearingPlanofCareCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(HearingPlanofCareCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody
Item: (HearingPlanofCareCDAdocument)
-->

   <rule context="cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody"
         id="tmp-r-33e14f17-c097-4cb8-83a4-50af53ded658">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(HearingPlanofCareCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(HearingPlanofCareCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&gt;=1 and not(cda:component/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&lt;=1">(HearingPlanofCareCDAdocument): element cda:component appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&gt;=1 and not(cda:component/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&lt;=1">(HearingPlanofCareCDAdocument): element cda:component appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&gt;=1 and not(cda:component/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&lt;=1">(HearingPlanofCareCDAdocument): element cda:component appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&gt;=1 and not(cda:component/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&lt;=1">(HearingPlanofCareCDAdocument): element cda:component appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&gt;=1 and not(cda:component/@nullFlavor)">(HearingPlanofCareCDAdocument): element cda:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.1.1-2014-02-04T000000.html"
              test="count(cda:component)&lt;=1">(HearingPlanofCareCDAdocument): element cda:component appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.1.1
Context: cda:ClinicalDocument/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component
Item: (HearingPlanofCareCDAdocument)
-->

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/*[not(self::cda:section)]"
         id="tmp-r-2d48f092-f649-43e5-9d35-779c9ce08d5c">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="not(.)">(RiskAssessmentSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/*[not(self::cda:templateId|self::cda:code|self::cda:title|self::cda:text)]"
         id="tmp-r-4d405a32-e2d8-42e6-8bf9-c0ee81d47c8c">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="not(.)">(RiskAssessmentSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
