<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Name: Problem Section (entries required)
Description: This section lists and describes all relevant clinical problems at the time the document is generated. At a minimum, all pertinent current and historical problems should be listed.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032">
   <title>Problem Section (entries required)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]
Item: (ProblemSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section
Item: (ProblemSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section"
         id="tmp-r-8dd65e26-137c-4f37-ad9c-9a5c02fc1867">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ProblemSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:templateId)&lt;=1">(ProblemSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ProblemSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:templateId)&lt;=1">(ProblemSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(ProblemSectionentriesrequired): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:code)&lt;=1">(ProblemSectionentriesrequired): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:title)&gt;=1 and not(cda:title/@nullFlavor)">(ProblemSectionentriesrequired): element cda:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:title)&lt;=1">(ProblemSectionentriesrequired): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(ProblemSectionentriesrequired): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:text)&lt;=1">(ProblemSectionentriesrequired): element cda:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="count(cda:entry)&gt;=1 and not(cda:entry/@nullFlavor)">(ProblemSectionentriesrequired): element cda:entry is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:templateId
Item: (ProblemSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:templateId"
         id="tmp-r-c3181c04-d55a-4ef7-8a8b-257c529f1699">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.2.5.1'">conf-10441: The value for @root SHALL be '2.16.840.1.113883.10.20.22.2.5.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:templateId
Item: (ProblemSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:templateId"
         id="tmp-r-7204f8ce-7e24-4d66-9c38-1182ea71539f">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.3.1'">(ProblemSectionentriesrequired): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.8.10.3.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:code
Item: (ProblemSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:code"
         id="tmp-r-de70d0aa-4a5f-411e-87bf-46db547a9813">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.1-2014-02-04T131032.html"
              test="@nullFlavor or (@code='11450-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProblemSectionentriesrequired): The element value SHALL be code '11450-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:title
Item: (ProblemSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:text
Item: (ProblemSectionentriesrequired)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.1
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:entry
Item: (ProblemSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e388
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section
Item: (ProblemSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e388
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.1']]/cda:section/cda:entry
Item: (ProblemSectionentriesrequired)
--></pattern>
