<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Name: Risk Assessment Section
Description: Risk Assessment Section is about . . . 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642">
   <title>Risk Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]
Item: (RiskAssessmentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section
Item: (RiskAssessmentSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section"
         id="tmp-r-3b21ba72-caa8-455c-87fa-f528319eb1a8">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(RiskAssessmentSection): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:templateId)&lt;=1">(RiskAssessmentSection): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(RiskAssessmentSection): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:code)&lt;=1">(RiskAssessmentSection): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:title)&gt;=1 and not(cda:title/@nullFlavor)">(RiskAssessmentSection): element cda:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:title)&lt;=1">(RiskAssessmentSection): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(RiskAssessmentSection): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="count(cda:text)&lt;=1">(RiskAssessmentSection): element cda:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:templateId
Item: (RiskAssessmentSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:templateId"
         id="tmp-r-2518e22a-78ea-4220-9bd5-12ef5d3c8d79">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.3.5'">(RiskAssessmentSection): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.8.10.3.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:code
Item: (RiskAssessmentSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:code"
         id="tmp-r-2e74f52c-679a-4e0c-bc15-02cbf421951e">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="@nullFlavor or (@code='71482-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Risk assessment' and @codeSystemName='LOINC')">(RiskAssessmentSection): The element value SHALL be code '71482-4' codeSystem '2.16.840.1.113883.6.1' displayName='Risk assessment' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:title
Item: (RiskAssessmentSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:title"
         id="tmp-r-5323b94c-56f1-48f8-a502-64b8896e4af4">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="text()='Risk Assessment'">(RiskAssessmentSection): the element content of cda:title SHALL be ''Risk Assessment''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.5
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:text
Item: (RiskAssessmentSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.5']]/cda:section/cda:text"
         id="tmp-r-db514d69-ad0d-46a4-b726-de36e1a261b8">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.5-2014-02-04T113642.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
